%define name NVIDIA_nforce
%define version 1.0
%define release 0236
Summary: nVidia Linux drivers for IGP 220/240 and MCP1
Name: %{name}
Version: %{version}
Release: %{release}
Source0: nvnet.tgz
Source1: nvaudio.tgz
Source2: nvmaster.tgz
License: commercial
Group: kernel/drivers
Prefix: %{_prefix}
ExcludeArch: sparc alpha
ExclusiveOS: linux


# Don't strip object files
%define __spec_install_post /usr/lib/rpm/brp-compress

%description
This package contains drivers and documentation for the
nForce IGP 220/240 and MCP1 nVidia chipset. It also contains
instructions for configuring the IDE and USB hardware correctly.
The audio driver is patched from the i810 driver; the source,
patch files, and GPL license for that driver is included.

%prep
echo "---- Copying Sources ----"
%setup -n nforce
%setup -T -D -b 1 -n nforce
%setup -T -D -b 2 -n nforce

%build -n nforce
echo "---- Building Drivers ----"
make

%install -n nforce
echo "---- Installing Drivers ----"

rm -f %{_topdir}/BUILD/nforce/modules.list

# Use current kernel if rebuilding a source RPM
if [ -z "$TARGET_KERNEL" ]; then
	export TARGET_KERNEL=`uname -r`
fi

make INSTROOT="$RPM_BUILD_ROOT" install
echo "%attr(644, root, root) /lib/modules/$TARGET_KERNEL/kernel/drivers/sound/nvaudio.o" > %{_topdir}/BUILD/nforce/modules.list
echo "%attr(644, root, root) /lib/modules/$TARGET_KERNEL/kernel/drivers/net/nvnet.o" >> %{_topdir}/BUILD/nforce/modules.list

%clean

%post
/sbin/depmod -a

# Update the configuration file
# Only do this the first time the modules are installed
if [ $1 = 1 ] ; then 
	#Decide on the naming convention
	configmod="/etc/conf.modules"
	[ -f /etc/modules.conf ] && configmod="/etc/modules.conf"
	cp $configmod ${configmod}.nforce-orig # make backup copy

	configtmp1=/tmp/configmod1$$
	configtmp2=/tmp/configmod2$$
	#Modify: "alias eth0 nvnet"
	sed 's/^alias.*eth0/\#alias eth0/' < $configmod > $configtmp1
	echo 'alias eth0 nvnet' >> $configtmp1
	# Modify: "alias sound-slot-1 nvaudio"
	sed 's/^alias.*sound-slot-1/\#alias sound-slot-1/' < $configtmp1 > $configtmp2
	echo 'alias sound-slot-1 nvaudio' >> $configtmp2
	# Modify: "alias usb-interface usb-ohci"
	sed 's/^alias.*usb-interface/\#alias usb-interface/' < $configtmp2 > $configmod
	echo 'alias usb-interface usb-ohci' >> $configmod
fi

%postun
# If it's the last module removed
if [ $1 = 0 ]; then

	#Decide on the naming convention
	configmod="/etc/conf.modules"
	[ -f /etc/modules.conf ] && configmod="/etc/modules.conf"
	# If there is still a backup file, restore it
	[ -f ${configmod}.nforce-orig ] && mv ${configmod}.nforce-orig ${configmod}
fi
/sbin/depmod -a

# Starting at $ROOT/RPM/BUILD/nforce
%files -f modules.list
%attr(444, root, root) %doc README
%attr(444, root, root) %doc NVLicense.txt
%attr(444, root, root) %doc GNULicense.txt
%attr(444, root, root) %doc ReleaseNotes.pdf

%changelog

# end of file
